library(rgdal)


# This is a dummy file that illustrates how to convert latitude and longitude
# to albers projection centered on the longitude 150 W with a north-south band running between 51 and 62 N
# This file is designed to show where the location values in "goa_trawl_albers.csv" come from
# not to actually re calculate them.

##########################################################################################
##### Add Albers Projection with standardized reference location.
##########################################################################################

all.mod <- data.frame(Lat = c(52,52,54.5,54.5,60,60),
                      Lon = c(-160,-140,-155,-145,-160,-140))

aea.proj <- "+proj=aea +lat_1=51 +lat_2=62 +lon_0=-150 +x_0=0 +y_0=0 +datum=WGS84"

new				<- cbind(all.mod$Lon,all.mod$Lat)
new.sp			<- SpatialPoints(new,CRS("+proj=longlat +ellps=WGS84 +datum=WGS84"))
new.sp.albers	<- spTransform(new.sp, CRS(aea.proj))
new.dat			<- as(new.sp.albers,"data.frame")
colnames(new.dat)	<- c("LonUTMAlbers","LatUTMAlbers")

all.albers	<-	data.frame(all.mod[,1:2],new.dat)

